<cfsilent>
	<cfsetting showdebugoutput="No">
	<cfinclude template="_globalSettings.cfm">
	<cfinclude template="_functions.cfm">
	<!-- block Mozilla Web Accelerator -->
	<cfif structKeyExists(cgi, "HTTP_X_MOZ")>
		<cfif cgi.HTTP_X.MOZ EQ "prefetch">
			<cfheader statuscode="403" statustext="Google Web Accelerator requests are forbidden." />
			<cfabort />
		</cfif>
	</cfif>
	<cfparam name="action" default="">
	<cfset actionDec = ArrayToList(ToBinary(ToBase64(ListFirst(action, "."))), "")>
	<cfinclude template="_manager.cfm">
	<cfparam name="loadContent" default="false">
	<cfcookie name="canHandle" value="true" expires="NOW">
	<cfparam name="noDesign" default="0">
</cfsilent>
<cfif loadContent and IsDefined("cookie.canHandle")>
	<cfsavecontent variable="loadedContent">
		<cfinclude template="#tmplname#">
	</cfsavecontent>
	<cfset getPageContext().getOut().clearBuffer()>
	<cfoutput>#loadedContent#</cfoutput>
<cfelse>
	<cfif not IsDefined("session.username")>
		<cfinclude template="login.cfm">
	<cfelse>
		<cfif Val(noDesign) gt 0>
			<cfinclude template="#tmplname#">
		<cfelse>
			<cfinclude template="_design.cfm">
		</cfif>
	</cfif>
</cfif>
