<cfsilent>
	<cfset sleepThread = createobject("java", "java.lang.Thread")>
	<cfset mgmtFactory = createobject("java", "java.lang.management.ManagementFactory")>
	<cfset threadsObj = CreateObject("component", "manageThreads")>
	<cfset allThreads = threadsObj.getThreads()>
	<cfset arrayLength = ArrayLen(allThreads)>
	<cfparam name="numb" default="1">
	<cfparam name="sec" default="1">
</cfsilent>
<cfflush interval="2">
<cfoutput>
	<br>
	<table width="100%">
		<form action="index.cfm" method="get">
			<input name="action" type="Hidden" value="#action#">
			<tr>
				<td width="100%">
				<td nowrap>Number of dumps:</td>
				<td>
					<select name="numb">
						<cfloop index="i" from="1" to="5">
							<option<cfif i eq numb> selected</cfif>>#i#
						</cfloop>
					</select>
				</td>
				<td width="20"></td>
				<td nowrap>Pause:</td>
				<td nowrap>
					<select name="sec">
						<cfloop index="i" from="5" to="30" step="5">
							<option<cfif i eq sec> selected</cfif>>#i#
						</cfloop>
					</select> sec.
				</td>
				<td width="20"></td>
				<td><input type="Submit" value=" RUN "></td>
			</tr>
		</form>
	</table>
	<cfloop index="i" from="1" to="#numb#">
		<cfif i gt 1>
			<cfset sc = Max(Val(sec), 1) * 1000>
			<cfset sleepThread.sleep(Evaluate(sc))>
		</cfif>
		<cfset currentDateTime = Now()>
		<table>
			<tr>
				<td<cfif i gt 1> style="border-top: 3px dashed Black;"</cfif>><br><strong>Time: #DateFormat(currentDateTime, "mmm dd, yyyy")# #TimeFormat(currentDateTime, "HH:mm:ss:L")#</strong><br><br></td>
			</tr>
			<cfloop index="indx" from="1" to="#arrayLength#">
				<cfsilent>
					<cfset thisThread = threadsObj.getThread(indx)>
					<cfset stk = threadsObj.getThreadStackTrace(indx)>
					<cfset crt = allThreads[indx]>
					<cfset isDaemon = crt.isDaemon()>
					<cfset isCFTrace = threadsObj.isCF(indx)>
				</cfsilent>
				<cfif ArrayLen(stk) gte 1>
					<tr>
						<td<cfif isCFTrace> style="border: thin solid Blue;background-color: ##F2F5FF;"<cfelse> style="border-bottom: thin solid Black;"</cfif>>
							<!---
							<cfif isCFTrace and FindNoCase("Object.wait", '#stk[row]["className"]#.#stk[row]["methodName"]#', 1) gt 0>
								<strong>May be blocking with another thread<br></strong>
							</cfif>
							--->
							"#thisThread.getName()#"<cfif isDaemon> daemon</cfif> prio=#thisThread.getPriority()# tid=#thisThread.getId()# #thisThread.getState()#<br>
							<cfloop index="row" from="1" to="#ArrayLen(stk)#">
								#Chr(7)##Chr(7)##Chr(7)#<span style="color:blue">#stk[row]["className"]#</span>.<span style="color:red">#stk[row]["methodName"]#</span> <cfif StructKeyExists(stk[row], "fileName")>(<span style="color:green">#stk[row]["fileName"]#</span>:<span style="color:blue">#stk[row]["lineNumber"]#</span>)</cfif><br>
							</cfloop>
						</td>
					</tr>
				</cfif>
			</cfloop>
		</table>
	</cfloop>
</cfoutput>

