<cftry>
	<cfsilent>
		<cfset slowPageThreshold = Val(GetProfileString("#request.path2site#\cfWatcher.ini", "display", "slowPageThreshold"))>
		<cfset debugData = server[cacheKey].primaryInfo[Val(id)]>
		<cfset getCFCs = "">
		<cfset getExceptions = "">
		<cfset getTemplates = "">
		<cfset getQueries = "">
		<cfset getOtherTypes = "">
		<cfif IsArray(debugData[19]) and ArrayLen(debugData[19])>
			<cfset piCFCs = debugData[19]>
			<cfset getCFCs = QUICKSORT2D(piCFCs, 1, 1, ArrayLen(piCFCs))>
		</cfif>
		<cfif IsArray(debugData[22]) and ArrayLen(debugData[22])>
			<cfset piExceptions = debugData[22]>
			<cfset getExceptions = piExceptions>
		</cfif>
		<cfif IsArray(debugData[20]) and ArrayLen(debugData[20])>
			<cfset piTemplates = debugData[20]>
			<cfset getTemplates = QUICKSORT2D(piTemplates, 3, 1, ArrayLen(piTemplates))>
		</cfif>
		<cfif IsArray(debugData[21]) and ArrayLen(debugData[21])>
			<cfset piQueries = debugData[21]>
			<cfset getQueries = QUICKSORT2D(piQueries, 9, 1, ArrayLen(piQueries))>
		</cfif>
		<cfif IsArray(debugData[23]) and ArrayLen(debugData[23])>
			<cfset piOtherTypes = debugData[23]>
			<cfset getOtherTypes = piOtherTypes>
		</cfif>
	</cfsilent>
	<cfoutput>
		<table width="100%">
			<tr>
				<td align="center"><h3>#URLDecode(appl)#</h3> <h4>(#URLDecode(ur)#)</h4></td>
			</tr>
		</table>
		<cfif not IsSimpleValue(getTemplates)>
			<br>
			<table border="0" cellpadding="2" cellspacing="1" class="details">
				<tr class="firstrow">
					<th align="center" colspan="4">T E M P L A T E S</th>
				</tr>
				<tr class="firstrow">
					<th align="center" class="firstth">Template[Line] (Parent)</th>
					<th align="center" class="firstth">Execution Time</th>
					<th align="center" class="firstth">Timestamp</th>
					<th align="center" class="firstth">Type</th>
				</tr>
				<cfloop index="tip" from="#ArrayLen(getTemplates)#" to="1" step="-1">
					<tr valign="top">
						<td>#getTemplates[tip][1]#[#getTemplates[tip][7]#]<cfif Len(getTemplates[tip][2])><br><em>(#getTemplates[tip][2]#)</em></cfif></td>
						<td<cfif slowPageThreshold lte getTemplates[tip][3]> style="color:red;font-weight:bold"</cfif>>#getTemplates[tip][3]#</td>
						<td>#DateFormat(getTemplates[tip][4], "mm/dd/yyyy")# #TimeFormat(getTemplates[tip][4], "hh:mm tt")#</td>
						<td>#getTemplates[tip][5]#</td>
					</tr>
				</cfloop>
			</table>
		</cfif>
		<cfif not IsSimpleValue(getCFCs)>
			<br>
			<table border="0" cellpadding="2" cellspacing="1" class="details">
				<tr class="firstrow">
					<th align="center" colspan="5">C F C S</th>
				</tr>
				<tr class="firstrow">
					<th align="center" class="firstth">CFC</th>
					<th align="center" class="firstth">Method</th>
					<th align="center" class="firstth">Execution Time</th>
					<th align="center" class="firstth">Timestamp</th>
					<th align="center" class="firstth">Template[Line]</th>
				</tr>
				<cfloop index="tip" from="#ArrayLen(getCFCs)#" to="1" step="-1">
					<tr valign="top">
						<td>#getCFCs[tip][4]#</td>
						<td>#getCFCs[tip][5]#</td>
						<td<cfif slowPageThreshold lte getCFCs[tip][1]> style="color:red;font-weight:bold"</cfif>>#getCFCs[tip][1]#</td>
						<td>#DateFormat(getCFCs[tip][2], "mm/dd/yyyy")# #TimeFormat(getCFCs[tip][2], "hh:mm tt")#</td>
						<td>#getCFCs[tip][6]#[#getCFCs[tip][8]#]</td>
					</tr>
				</cfloop>
			</table>
		</cfif>
		<cfif not IsSimpleValue(getQueries)>
			<br>
			<table border="0" cellpadding="2" cellspacing="1" class="details">
				<tr class="firstrow">
					<th align="center" colspan="9">Q U E R I E S</th>
				</tr>
				<tr class="firstrow">
					<th align="center" class="firstth">Template[Line]</th>
					<th align="center" class="firstth">Datasource</th>
					<th align="center" class="firstth">Query Name</th>
					<th align="center" class="firstth">Records</th>
					<th align="center" class="firstth">Execution Time</th>
					<th align="center" class="firstth">Timestamp</th>
					<th align="center" class="firstth">Attributes</th>
					<th align="center" class="firstth">Cached</th>
					<th align="center" class="firstth">Type</th>
				</tr>
				<cfloop index="tip" from="#ArrayLen(getQueries)#" to="1" step="-1">
					<tr valign="top">
						<td>#getQueries[tip][12]#[#getQueries[tip][13]#]</td>
						<td><cfif Len(getQueries[tip][1])>#getQueries[tip][1]#<cfelse><em>QoQ</em></cfif></td>
						<td>
							<cfif getQueries[tip][6] eq "SqlQuery">
								<cfset sqlscr = Replace(getQueries[tip][4], Chr(13)&Chr(10), Chr(10), "ALL")>
								<cfset sqlscr = Replace(sqlscr, Chr(13), Chr(10), "ALL")>
								<cfset sqlscr = Replace(sqlscr, Chr(9), "", "ALL")>
								<cfset sqlscr = Replace(sqlscr, Chr(10), "<br />", "ALL")>
								<cfset sqlscr = Replace(sqlscr, "'", "`", "all")>
								<cfset sqlscr = Replace(sqlscr, '"', '``', "all")>
								<cfset sqlscr = Replace(sqlscr, "<br /><br />", "<br />", "ALL")>
								<a href="##sqlcodeAnc" onclick="document.getElementById('sqlcode').style.display='';document.getElementById('sqlcode').innerHTML='#sqlscr#'">#getQueries[tip][2]#</a>
							<cfelse>
								#getQueries[tip][2]#
							</cfif>
						</td>
						<td>#getQueries[tip][8]#</td>
						<td<cfif slowPageThreshold lte getQueries[tip][9]> style="color:red;font-weight:bold"</cfif>>#getQueries[tip][9]#</td>
						<td>#DateFormat(getQueries[tip][3], "mm/dd/yyyy")# #TimeFormat(getQueries[tip][3], "hh:mm tt")#</td>
						<td>
							<cfset attr = getQueries[tip][7]>
							<cfset arLen = ArrayLen(attr)>
							<cfif arLen gt 0>
								<table style="background-color: ##cccccc;">
									<tr>
										<th>SQL Type</th>
										<th>Type</th>
										<th>Value</th>
									</tr>
									<cfloop index="i" from="1" to="#arLen#">
										<tr>
											<td><cfif StructKeyExists(attr[i], "sqltype")>#attr[i].sqltype#</cfif></td>
											<td><cfif StructKeyExists(attr[i], "type")>#attr[i].type#</cfif></td>
											<td><cfif StructKeyExists(attr[i], "value")>#attr[i].value#</cfif></td>
										</tr>
									</cfloop>
								</table>
							</cfif>
						</td>
						<td>#YesNoFormat(Val(getQueries[tip][11]))#</td>
						<td>#getQueries[tip][6]#</td>
					</tr>
				</cfloop>
			</table>
			<a name="sqlcodeAnc"></a><div class="code" id="sqlcode" style="display: none;"></div>
		</cfif>
		<cfif not IsSimpleValue(getExceptions)>
			<br>
			<table border="0" cellpadding="2" cellspacing="1" class="details">
				<tr class="firstrow">
					<th align="center" colspan="5">E X C E P T I O N S</th>
				</tr>
				<tr class="firstrow">
					<th align="center" class="firstth">Line</th>
					<th align="center" class="firstth">Message</th>
					<th align="center" class="firstth">Timestamp</th>
					<th align="center" class="firstth">Stack Trace</th>
					<th align="center" class="firstth">Template</th>
				</tr>
				<cfloop index="tip" from="#ArrayLen(getExceptions)#" to="1" step="-1">
					<tr valign="top">
						<td>#getExceptions[tip][1]#</td>
						<td>#getExceptions[tip][2]#</td>
						<td>#DateFormat(getExceptions[tip][4], "mm/dd/yyyy")# #TimeFormat(getExceptions[tip][4], "hh:mm tt")#</td>
						<td>#getExceptions[tip][3]["Detail"]#</td>
						<td style="background-color: ##cccccc;">
							<cfset attr = getExceptions[tip][3]["TagContext"]>
							<cfset arLen = ArrayLen(attr)>
							<cfif arLen gt 0>
								<table>
									<tr>
										<th>COLUMN</th>
										<th>LINE</th>
										<th>TEMPLATE</th>
										<th>TYPE</th>
									</tr>
									<cfloop index="i" from="1" to="#arLen#">
										<tr>
											<td>#attr[i].COLUMN#</td>
											<td>#attr[i].LINE#</td>
											<td>#attr[i].TEMPLATE#</td>
											<td>#attr[i].TYPE#</td>
										</tr>
									</cfloop>
								</table>
							</cfif>
						</td>
					</tr>
				</cfloop>
			</table>
		</cfif>
		<cfif not IsSimpleValue(getOtherTypes)>
			<br>
			<table border="0" cellpadding="2" cellspacing="1" class="details">
				<tr class="firstrow">
					<th align="center" colspan="7">O T H E R&nbsp;&nbsp;&nbsp;&nbsp;T Y P E S</th>
				</tr>
				<tr class="firstrow">
					<th align="center" class="firstth">Type</th>
					<th align="center" class="firstth">Template</th>
					<th align="center" class="firstth">Line</th>
					<th align="center" class="firstth">URL</th>
					<th align="center" class="firstth">Execution Time</th>
					<th align="center" class="firstth">Timestamp</th>
					<th align="center" class="firstth">Other</th>
				</tr>
				<cfloop index="tip" from="#ArrayLen(getOtherTypes)#" to="1" step="-1">
					<tr valign="top">
						<td>#getOtherTypes[tip][1]#</td>
						<td>#getOtherTypes[tip][2]#</td>
						<td>#getOtherTypes[tip][3]#</td>
						<td>#getOtherTypes[tip][4]#</td>
						<cfset et = Val(getOtherTypes[tip][5])-Val(getOtherTypes[tip][6])>
						<td<cfif slowPageThreshold lte et> style="color:red;font-weight:bold"</cfif>>#Val(et)#</td>
						<td>#DateFormat(getOtherTypes[tip][7], "mm/dd/yyyy")# #TimeFormat(getOtherTypes[tip][7], "hh:mm tt")#</td>
						<td>
							<table>
								<cfloop index="col" from="8" to="16">
									<cfif IsSimpleValue(getOtherTypes[tip][col]) and Len(getOtherTypes[tip][col])>
										<tr>
											<td>#getOtherTypes[tip][col]#</td>
											<td>
												<cfif IsSimpleValue(getOtherTypes[tip][col])>
													#getOtherTypes[tip][col]#
												<cfelse>
													<!---
													<cfdump var="#getOtherTypes[tip][col]#">
													--->
													<cfset attr = getOtherTypes[tip][col]>
													<cfset arLen = ArrayLen(attr)>
													<cfif arLen gt 0>
														<cfif IsArray(arLen[1]) and ArrayLen(arLen[1]) gt 1>
															<cfset arLen2 = ArrayLen(arLen[1])>
															<table style="background-color: ##cccccc;">
																<cfloop index="i" from="1" to="#arLen#">
																	<tr>
																		<cfloop index="j" from="1" to="#arLen2#">
																			<td>#attr[i][j]#</td>
																		</cfloop>
																	</tr>
																</cfloop>
															</table>
														<cfelse>
															<table style="background-color: ##cccccc;">
																<tr>
																	<cfloop index="i" from="1" to="#arLen#">
																		<td>#attr[i]#</td>
																	</cfloop>
																</tr>
															</table>
														</cfif>
													</cfif>
												</cfif>
											</td>
										</tr>
									<cfelse>
										<cfif not IsSimpleValue(getOtherTypes[tip][col])>
											<tr>
												<td>#getOtherTypes[tip][col]#</td>
												<td>
													<cfif IsSimpleValue(getOtherTypes[tip][col])>
														#getOtherTypes[tip][col]#
													<cfelse>
														<!---
														<cfdump var="#getOtherTypes[tip][col]#">
														--->
														<cfset attr = getOtherTypes[tip][col]>
														<cfset arLen = ArrayLen(attr)>
														<cfif arLen gt 0>
															<cfif IsArray(arLen[1]) and ArrayLen(arLen[1]) gt 1>
																<cfset arLen2 = ArrayLen(arLen[1])>
																<table style="background-color: ##cccccc;">
																	<cfloop index="i" from="1" to="#arLen#">
																		<tr>
																			<cfloop index="j" from="1" to="#arLen2#">
																				<td>#attr[i][j]#</td>
																			</cfloop>
																		</tr>
																	</cfloop>
																</table>
															<cfelse>
																<table style="background-color: ##cccccc;">
																	<tr>
																		<cfloop index="i" from="1" to="#arLen#">
																			<td>#attr[i]#</td>
																		</cfloop>
																	</tr>
																</table>
															</cfif>
														</cfif>
													</cfif>
												</td>
											</tr>
										</cfif>
									</cfif>
								</cfloop>
							</table>
						</td>
					</tr>
				</cfloop>
			</table>
		</cfif>
	</cfoutput>
	<cfcatch type="Any">Selected record does not exist anymore</cfcatch>
</cftry>

