<cfsilent>
<!---
C:\Sun\AppServer\jdk\jre
C:/CFusionMX7/runtime/jre
C:\Program Files\Java\jdk1.5.0_08
--->

	<!---
	<cfset obj = CreateObject("Java", "AllThreads")>
	<cfdump var="#obj#">
	-----------
	--->
<!---
	<!--- Grab the current directory --->
	<cfset currentDirectory = expandPath("./")>
	<!--- Turn any \ in the path into / so java doesnt spit the dummy --->
	<cfset currentDirectory = replace(currentDirectory,"\","/","all")>
	
	<!--- Create an instance of java.net.URL for passing to the URLClassLoader --->
	<cfset URLObject = createObject("java","java.net.URL")>
	<!--- Initialize the object with the current directory. --->
	<cfset URLObject.init("file:"&currentDirectory)>
	
	<!--- Create a java Array and add our URLObject to it --->
	<cfset URLArray = createObject("java","java.lang.reflect.Array").newInstance(URLObject.getClass(),1)>
	<cfset ArrayClass = createObject("java","java.lang.reflect.Array")>
	<cfset ArrayClass.set(URLArray,0,URLObject)>

	<!--- Create and the URLClassLoader and pass it the array containing our path --->
	<cfset loader = createObject("java","java.net.URLClassLoader")>
	<cfset loader.init(URLArray)>

	<!--- Use our new class loader to load the HelloWorld class --->
	<cfset allThreads = loader.loadClass("cfWatcher").newInstance()>
--->
	<cfset mgmtFactory = createobject("java", "java.lang.management.ManagementFactory")>
	<cfset threadsObj = CreateObject("component", "manageThreads")>
	<cfset allThreads = threadsObj.getThreads()>
</cfsilent>

<cfoutput>
<!---
	Total threads: #allThreads.getCount()#<br>
	<br>
--->
	<table align="center" border="0" cellpadding="2" cellspacing="1" class="details">
		<tr class="firstrow">
			<th align="center" colspan="2">T H R E A D&nbsp;&nbsp;&nbsp;&nbsp;S T A T S</th>
		</tr>
		<tr>
			<th align="right" class="firstth">Total number of threads created and also<br>started since the Java virtual machine started:&nbsp;</th>
			<td>#mgmtFactory.ThreadMXBean.getTotalStartedThreadCount()#</td>
		</tr>
		<tr>
			<th align="right" class="firstth">Daemon Thread Count:&nbsp;</th>
			<td>#mgmtFactory.ThreadMXBean.getDaemonThreadCount()#</td>
		</tr>
		<tr>
			<th align="right" class="firstth">Peak Thread Count:&nbsp;</th>
			<td>#mgmtFactory.ThreadMXBean.getPeakThreadCount()#</td>
		</tr>
	</table>
	<br>
	<table width="90%" align="center" class="data_table" cellpadding="1" cellspacing="1">
		<tr class="table_header">
			<th></th>
			<th>Name</th>
			<th>Group</th>
			<th>Priority</th>
			<th>State</th>
			<th>Is Alive</th>
			<th>Is Daemon</th>
			<th>Time: CPU/User</th>
			<th>&nbsp;</th>
		</tr>
		<cfloop index="i" from="1" to="#ArrayLen(allThreads)#">
			<cftry>
				<cfsilent>
					<cfset crt = allThreads[i]>
					<cfset getName = crt.getName()>
					<cfset getThreadGroup = crt.getThreadGroup().getName()>
					<cfset getPriority = crt.getPriority()>
					<cfset isAlive = crt.isAlive()>
					<cfset isDaemon = crt.isDaemon()>
					<cfset currentTimeMillis = crt.currentThread().currentTimeMillis()>
					<cfset state = crt.getState().name()>
					<cfset thisThreadID = crt.getID()>
					<cfset isSuspended = mgmtFactory.ThreadMXBean.getThreadInfo(#Evaluate(thisThreadID)#).isSuspended()>
					<cfset threadCpuTime = mgmtFactory.ThreadMXBean.getThreadCpuTime(#Evaluate(thisThreadID)#)>
					<cfset threadUserTime = mgmtFactory.ThreadMXBean.getThreadUserTime(#Evaluate(thisThreadID)#)>
					<cfset CFsList = threadsObj.getCFsList(i)>

					<cfif Len(CFsList) gt 0>
						<cfset maxLen = 0>
						<cfloop index="ii" list="#CFsList#" delimiters="/">
							<cfif maxLen lt Len(ii)>
								<cfset maxLen = Len(ii)>
							</cfif>
						</cfloop>
					</cfif>
				</cfsilent>
				<tr<cfif isSuspended> bgcolor="##ffcaca"<cfelse><cfif Len(CFsList) gt 0> bgcolor="##c6e3ff"<cfelse><cfif i mod 2> bgcolor="##ffffff"<cfelse> bgcolor="##f6f6f6"</cfif></cfif></cfif>>
					<td align="center">#i#</td>
					<td align="center">
						<cfif Len(CFsList) gt 0>
							<a id="popup">
								#getName#
								<span id="popbox" title="CF files" style="width: #maxLen*8+10#px; height: #18+12*ListLen(CFsList, '/')#">
								<span id="poptop" style="width: #maxLen*8+20#px;">&nbsp;&nbsp;List of files</span>
								#Replace(CFsList, "/", "<br>", "All")#
								</span>
							</a>
						<cfelse>
							#getName#
						</cfif>
					</td>
					<td align="center">#getThreadGroup#</td>
					<td align="center">#getPriority#</td>
					<td align="center">#state#</td>
					<td align="center">#isAlive#</td>
					<td align="center">#isDaemon#</td>
					<td align="center">#secsToTime(threadCpuTime/1000/1000/1000, "s")#/#secsToTime(threadUserTime/1000/1000/1000, "s")#</td>
					<td align="center">
						<a href="index.cfm?action=threads.view&indx=#i#">View</a> | 
						<cfif isSuspended>
							<a href="index.cfm?action=threads.resume&indx=#i#">Resume</a> | 
						<cfelse>
							<a href="javascript: if (confirm('Are you sure you want to suspend the request #getName#?')) {window.location='index.cfm?action=threads.suspend&indx=#i#'}">Suspend</a> | 
						</cfif>
						<a href="javascript: if (confirm('Are you sure you want to kill the request #getName#?')) {window.location='index.cfm?action=threads.stop&indx=#i#'}">Stop</a>
					</td>
				</tr>
				<cfcatch type="Any">
				</cfcatch>
			</cftry>
		</cfloop>
	</table>
</cfoutput>

